Retrieves the list of all public shares for the specified scene.
Request parameters
Scene Id
Primary iTwin Id associated with the scene
Request headers
OAuth access token with itwin-platform scope
Setting to application/vnd.bentley.itwin-platform.v1+json is recommended.
Response 200 OK
List of all scene shares.
{ "shares": [{ "id": "e047c23b-6fe1-4629-abda-1344f98236d7", "sceneId": "eda9e67f-24a3-4bd5-aeca-981d2abdb610", "iTwinId": "1ba4c28a-e518-42d4-85e4-ff9f9ef44bb6", "contractName": "SceneDefault", "shareKey": "eyJhbGciOiJ...", "expiration": "2027-05-07T08:00:00Z", "createdById": "37f457a6-25fd-4d4a-8947-974b690158be", "lastModifiedById": "37f457a6-25fd-4d4a-8947-974b690158be", "creationTime": "2025-05-04T12:14:08Z", "lastModified": "2025-05-06T09:15:25Z" }] }
Response 401 Unauthorized
This response indicates that request lacks valid authentication credentials. Access token might not been provided, issued by the wrong issuer, does not have required scopes or request headers were malformed.
{ "error": { "code": "HeaderNotFound", "message": "Header Authorization was not found in the request. Access denied." } }
Response 404 Not Found
Not Found
{ "error": { "code": "SceneNotFound", "message": "Requested scene is not available.", "target": "scene" } }
Response 429 Too many requests
This response indicates that the client sent more requests than allowed by this API for the current tier of the client.
{ "error": { "code": "RateLimitExceeded", "message": "The client sent more requests than allowed by this API for the current tier of the client." } }
Response headers
Number of seconds to wait until client is allowed to make more requests.
Error
Contains error information.
One of a server-defined set of error codes.
A human-readable representation of the error.
The target of the error.
{ "required": [ "code", "message" ], "type": "object", "properties": { "code": { "type": "string", "description": "One of a server-defined set of error codes." }, "message": { "type": "string", "description": "A human-readable representation of the error." }, "target": { "type": "string", "description": "The target of the error.", "nullable": true } }, "description": "Contains error information." }
Error Response
Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed.
{ "title": "Error Response", "required": [ "error" ], "type": "object", "properties": { "error": { "$ref": "#/components/schemas/Error" } }, "additionalProperties": false, "description": "Gives details for an error that occurred while handling the request. Note that clients MUST NOT assume that every failed request will produce an object of this schema, or that all of the properties in the response will be non-null, as the error may have prevented this response from being constructed." }
SceneShareDTO
Globally unique identifier for the share
Id of the scene being shared
iTwin id
Share contract name
The share key to be used for authentication to the share.
The expiration for the share as an ISO8601 string, 'YYYY-MM-DDTHH:mm:ss.sssZ'
Id of the user who created the scene share
Id of the user who last modified the scene share
Time the scene share was created as an ISO8601 string, 'YYYY-MM-DDTHH:mm:ss.sssZ'
Time the scene share was last modified as an ISO8601 string, 'YYYY-MM-DDTHH:mm:ss.sssZ'
{ "required": [ "id", "sceneId", "iTwinId", "contractName", "shareKey", "expiration", "createdById", "lastModifiedById", "creationTime", "lastModified" ], "type": "object", "properties": { "id": { "type": "string", "description": "Globally unique identifier for the share", "format": "uuid", "example": "e047c23b-6fe1-4629-abda-1344f98236d7" }, "sceneId": { "type": "string", "description": "Id of the scene being shared", "format": "uuid", "example": "eda9e67f-24a3-4bd5-aeca-981d2abdb610" }, "iTwinId": { "type": "string", "description": "iTwin id", "format": "UUID", "example": "1ba4c28a-e518-42d4-85e4-ff9f9ef44bb6" }, "contractName": { "type": "string", "description": "Share contract name", "example": "SceneDefault" }, "shareKey": { "type": "string", "description": "The share key to be used for authentication to the share.", "example": "eyJhbGciOiJ..." }, "expiration": { "type": "string", "description": "The expiration for the share as an ISO8601 string, 'YYYY-MM-DDTHH:mm:ss.sssZ'", "format": "date-time", "example": "2027-05-07T12:00:00Z" }, "createdById": { "type": "string", "description": "Id of the user who created the scene share", "format": "UUID", "example": "37f457a6-25fd-4d4a-8947-974b690158be" }, "lastModifiedById": { "type": "string", "description": "Id of the user who last modified the scene share", "format": "UUID", "example": "37f457a6-25fd-4d4a-8947-974b690158be" }, "creationTime": { "type": "string", "description": "Time the scene share was created as an ISO8601 string, 'YYYY-MM-DDTHH:mm:ss.sssZ'", "format": "date-time", "example": "2025-05-04T04:14:08Z" }, "lastModified": { "type": "string", "description": "Time the scene share was last modified as an ISO8601 string, 'YYYY-MM-DDTHH:mm:ss.sssZ'", "format": "date-time", "example": "2025-05-07T01:15:25Z" } }, "additionalProperties": false }
SceneShareListResponse
{ "required": [ "shares" ], "type": "object", "properties": { "shares": { "type": "array", "items": { "$ref": "#/components/schemas/SceneShareDTO" } } }, "additionalProperties": false }
Was this page helpful?